import App from '../App'

const Login = r => require.ensure([], () => r(require('../views/login/login')), 'login')
const Index = r => require.ensure([], () => r(require('../views/index/index')), 'index')

const Statistics = r => require.ensure([], () => r(require('../views/index/statistics/statistics')), 'statistics')
const Consumer = r => require.ensure([], () => r(require('../views/index/statistics/consumer/consumer')), 'consumer')
const Salesman = r => require.ensure([], () => r(require('../views/index/statistics/salesman/salesman')), 'salesman')
const UserInfo = r => require.ensure([], () => r(require('../views/index/statistics/userInfo/userInfo')), 'userInfo')

const Setting = r => require.ensure([], () => r(require('../views/index/setting/setting')), 'setting')
const SettingDealer = r => require.ensure([], () => r(require('../views/index/setting/setting-dealer')), 'setting-dealer')
const SettingModel = r => require.ensure([], () => r(require('../views/index/setting/setting-model')), 'setting-model')
const SettingOperator = r => require.ensure([], () => r(require('../views/index/setting/setting-operator')), 'setting-operator')
const SettingSalesman = r => require.ensure([], () => r(require('../views/index/setting/setting-salesman')), 'setting-salesman')

const Editor = r => require.ensure([], () => r(require('../views/index/setting/editor/editor')), 'editor')
const SettingDealerEditor = r => require.ensure([], () => r(require('../views/index/setting/editor/setting-dealer-editor')), 'setting-dealer-editor')
const SettingModelEditor = r => require.ensure([], () => r(require('../views/index/setting/editor/setting-model-editor')), 'setting-model-editor')
const SettingOperatorEditor = r => require.ensure([], () => r(require('../views/index/setting/editor/setting-operator-editor')), 'setting-operator-editor')
const SettingSalesmanEditor = r => require.ensure([], () => r(require('../views/index/setting/editor/setting-salesman-editor')), 'setting-salesman-editor')

const Maintain = r => require.ensure([], () => r(require('../views/maintain/maintain')), 'maintain')

export default [{
  path: '/',
  component: App,
  mode: 'history',
  children: [
    {
      path: 'login',
      component: Login
    },
    {
      path: '/',
      component: Index,
      children: [
        {
          path: '/statistics',
          name: 'statistics',
          component: Statistics,
          children: [
            {
              path: 'consumer',
              name: 'consumer',
              component: Consumer
            },
            {
              path: 'salesman',
              name: 'salesman',
              component: Salesman
            },
            {
              path: 'userInfo',
              name: 'userInfo',
              component: UserInfo
            }
          ]
        },
        {
          path: '/setting',
          name: 'setting',
          component: Setting,
          children: [
            {
              path: 'editor',
              component: Editor,
              children: [
                {
                  path: 'setting-dealer-editor',
                  name: 'setting-dealer-editor',
                  component: SettingDealerEditor
                },
                {
                  path: 'setting-model-editor',
                  name: 'setting-model-editor',
                  component: SettingModelEditor
                },
                {
                  path: 'setting-operator-editor',
                  name: 'setting-operator-editor',
                  component: SettingOperatorEditor
                },
                {
                  path: 'setting-salesman-editor',
                  name: 'setting-salesman-editor',
                  component: SettingSalesmanEditor
                }
              ]
            },
            {
              path: 'setting-dealer',
              name: 'setting-dealer',
              component: SettingDealer
            },
            {
              path: 'setting-model',
              name: 'setting-model',
              component: SettingModel
            },
            {
              path: 'setting-operator',
              name: 'setting-operator',
              component: SettingOperator
            },
            {
              path: 'setting-salesman',
              name: 'setting-salesman',
              component: SettingSalesman
            }
          ]
        }
      ]
    },
    {
      path: '/maintain',
      name: 'maintain',
      component: Maintain
    }
  ]
}]
